<!-- ....................................................................... -->
<!-- SHML 1.0 Base Class Entities Module ...................................
     file: basent.mod

     This is SHML 1.0, a variant of the W3C HTML 3.2 DTD.
     Copyright 1997 Sun Microsystems, Inc., All rights reserved.
     $Id: @(#)basent.mod	1.10 - 97/09/24 17:30:57 altheim $

     Revisions:
#    1997-05-01  basent.mod     added %attrs; and %just; from RFC 2070 (i18n)
#    1997-05-02  basent.mod     added title to %attrs; as per WAI requirements
#    1997-06-11  basent.mod     added %xml-link-attrs; for xml-link compatibility
     ....................................................................... -->

<!-- Imported Names .............................................. -->

<!--
;  %content-type     : meaning a MIME content type, as per RFC1521
-->
<!ENTITY % content-type "CDATA" >

<!--
;  %http-method      : as per HTTP specification, 
;                    : see RFC1945 (HTTP1.0) and RFC2068 (HTTP1.1) 
-->
<!ENTITY % http-method "GET | POST" >

<!--
;  %url              : The term URL means a CDATA attribute whose value is a 
;                    : Uniform Resource Locator, see RFC1808 (June 95) and RFC1738 (Dec 94).
-->
<!ENTITY % url "CDATA" >

<!-- Common Parameter Entities ................................... -->

<!--
;  %attrs;           : common attributes for elements
;      id            : element identifier
;      class         : for subclassing elements
;      lang          : RFC 1766 language tag
;      dir           : text directionality
;      title         : advisory title (WAI)
-->
<![ %HTML.i18n; [
<!ENTITY % attrs
      "id      ID      #IMPLIED
       class   NAMES   #IMPLIED
       lang    NAME    #IMPLIED
       dir   (ltr|rtl) #IMPLIED
       title   CDATA   #IMPLIED"
       >
]]>

<!ENTITY % attrs
      "id      ID      #IMPLIED
       class   NAMES   #IMPLIED
       title   CDATA   #IMPLIED"
       >

<!--
;  %xml-link-attrs   : attributes to provide XML-link compatibility
;      xml-link      : xml link type
;      role          : meaning of the link or linked resource
;      show          : traversal resultant processing
;      actuate       : traversal control
;      behavior      : traversal behavior
-->
<![ %HTML.XML-link; [
<!ENTITY % xml-link-attrs
      "xml-link (SIMPLE|EXTENDED)   #IMPLIED
       role      CDATA              #IMPLIED
       show     (EMBED|REPLACE|NEW) #IMPLIED
       actuate  (AUTO|USER)         #IMPLIED
       behavior  CDATA              #IMPLIED" >
]]>

<!ENTITY % xml-link-attrs "" >

<!--
;  %just             : an attribute for text justification
;      align         : default is left for ltr paragraphs, right for rtl
-->
<!ENTITY % just "align  (left|right|center|justify)  #IMPLIED" >

<!--
;  %color            : a hex or named color specification, eg. #FF0000 | red  
-->
<!ENTITY % color "CDATA" >

<!--
;  %length           : nn for pixels or nn% for percentage length
-->
<!ENTITY % length "CDATA" >

<!--
;  %pixels           : integer representing length in pixels
-->
<!ENTITY % pixels "NUMBER" >
