<!-- ....................................................................... -->
<!-- SHML 1.0 Character Mnemonics Module ....................................
     file: char.mod

     This is SHML 1.0, a variant of the W3C HTML 3.2 DTD.
     Copyright 1997 Sun Microsystems, Inc., All rights reserved.
     $Id: @(#)char.mod	1.10 - 97/09/24 17:31:06 altheim $

     Revisions:
#    1997-05-01  char.mod       added i18n entities
#    1997-05-02  char.mod       added ISO charent sets
#    1997-06-11  char.mod       added non-i18n SDATA alternatives
#    1997-09-16  char.mod       added Unicode MS
     ....................................................................... -->

<!-- Entities for special symbols ................................ -->

<!-- Entities for markup of significant characters .....-->
<!ENTITY amp    CDATA "&#38;" >   <!-- ampersand        -->
<!ENTITY gt     CDATA "&#62;" >   <!-- greater than     -->
<!ENTITY lt     CDATA "&#60;" >   <!-- less than        -->
<!ENTITY quot   CDATA "&#34;" >   <!-- double quote     -->

<![ %HTML.i18n; [
<!-- Entities for language-dependent presentation (BIDI and contextual analysis) -->
<![ %HTML.Unicode; [
<!ENTITY zwnj   CDATA "&#8204;" > <!-- zero width non-joiner -->
<!ENTITY zwj    CDATA "&#8205;" > <!-- zero width joiner  -->
<!ENTITY lrm    CDATA "&#8206;" > <!-- left-to-right mark -->
<!ENTITY rlm    CDATA "&#8207;" > <!-- right-to-left mark -->
]]>
<!ENTITY zwnj   SDATA "[zwnj]"  > <!-- zero width non-joiner -->
<!ENTITY zwj    SDATA "[zwj]"   > <!-- zero width joiner  -->
<!ENTITY lrm    SDATA "[lrm]"   > <!-- left-to-right mark -->
<!ENTITY rlm    SDATA "[rlm]"   > <!-- right-to-left mark -->
]]>

<!-- Character mnemonic entities ................................. -->

<!-- HTML Character Mnemonic Entities -->
<!ENTITY % HTML.ISOlat1   "INCLUDE" >
<![ %HTML.ISOlat1; [
    <!ENTITY % ISOlat1 PUBLIC
           "ISO 8879-1986//ENTITIES Added Latin 1//EN//HTML">
    %ISOlat1;
]]>

<!-- Recommended HTML character entity supplement -->
<!ENTITY % HTML.lat1sup   "IGNORE" >
<![ %HTML.lat1sup; [
    <!ENTITY % lat1sup
       PUBLIC "-//Sun Microsystems//ENTITIES SHML 1.0 Supplemental Character Mnemonics//EN">
    %lat1sup;
]]>

<!-- ISO Diacritical Marks entity supplement .... -->
<!ENTITY % HTML.iso-dia   "IGNORE" >
<![ %HTML.iso-dia; [
    <!ENTITY % iso-dia
       PUBLIC "ISO 8879:1986//ENTITIES Diacritical Marks//EN">
    %iso-dia;
]]>

<!-- Character mnemonics - technical entity supplement  -->
<!ENTITY % HTML.tech      "IGNORE" >
<![ %HTML.tech; [
    <!ENTITY % iso-box
       PUBLIC "ISO 8879:1986//ENTITIES Box and Line Drawing//EN">
    %iso-box;
    <!ENTITY % iso-num
       PUBLIC "ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN">
    %iso-num;
    <!ENTITY % iso-pub
       PUBLIC "ISO 8879:1986//ENTITIES Publishing//EN">
    %iso-pub;
    <!ENTITY % iso-tech
       PUBLIC "ISO 8879:1986//ENTITIES General Technical//EN">
    %iso-tech;
]]>

<!-- Character mnemonics - international language ..... -->

<!-- ISO Latin 2 character entity supplement -->
<!ENTITY % HTML.iso-lat2   "IGNORE" >
<![ %HTML.iso-lat2; [
    <!ENTITY % iso-lat2
       PUBLIC "ISO 8879:1986//ENTITIES Added Latin 2//EN">
    %iso-lat2;
]]>

<!-- ISO Greek character entity supplement -->
<!ENTITY % HTML.greek   "IGNORE" >
<![ %HTML.greek; [
    <!ENTITY % iso-grk1
       PUBLIC "ISO 8879:1986//ENTITIES Greek Letters//EN">
    %iso-grk1;
    <!ENTITY % iso-grk2
       PUBLIC "ISO 8879:1986//ENTITIES Monotoniko Greek//EN">
    %iso-grk2;
]]>

<!-- ISO Cyrillic character entity supplement -->
<!ENTITY % HTML.cyrillic   "IGNORE" >
<![ %HTML.cyrillic; [
    <!ENTITY % iso-cyr1
       PUBLIC "ISO 8879:1986//ENTITIES Russian Cyrillic//EN">
    %iso-cyr1;
    <!ENTITY % iso-cyr2
       PUBLIC "ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN">
    %iso-cyr2;
]]>

<!-- Character mnemonics - math entity supplement -->
<!ENTITY % HTML.math   "IGNORE" >
<![ %HTML.math; [
    <!ENTITY % iso-amso
       PUBLIC "ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN">
    %iso-amso;
    <!ENTITY % iso-amsa
       PUBLIC "ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN">
    %iso-amsa;
    <!ENTITY % iso-amsb
       PUBLIC "ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN">
    %iso-amsb;
    <!ENTITY % iso-amsc
       PUBLIC "ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN">
    %iso-amsc;
    <!ENTITY % iso-amsr
       PUBLIC "ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN">
    %iso-amsr;
    <!ENTITY % iso-amsn
       PUBLIC "ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN">
    %iso-amsn;
]]>
