<!-- ....................................................................... -->
<!-- SHML 1.0 Forms Module ...................................................
     file: forms.mod

     This is SHML 1.0, a variant of the W3C HTML 3.2 DTD.
     Copyright 1997 Sun Microsystems, Inc., All rights reserved.
     $Id: @(#)forms.mod	1.8 - 97/09/24 17:34:07 altheim $

     Revisions:
#    1997-05-02  forms.mod      added %attrs; on FORM elements
#                               added accept, accept-charset on INPUT
#                               added accept-charset on TEXTAREA
#    1997-05-07  forms.mod      changed content model of FORM from %body.content; to %flow;
#    1997-06-11  forms.mod      require end tag on OPTION
     ....................................................................... -->

<!-- Forms ....................................................... -->

<!-- 
;  FORM              : forms
;      %attrs;
;      action        : server-side form handler
;      method        : see HTTP specification
;      enctype       : an Internet media type, as per [RFC2045]
-->
<!ELEMENT FORM - - %flow; -(FORM)>
<!ATTLIST FORM
       %attrs;
       action  %url;          #IMPLIED
       method (%http-method;) GET
       enctype %content-type; "application/x-www-form-urlencoded"
       >

<!ENTITY % input-type
      "(TEXT  | PASSWORD | CHECKBOX |
       RADIO | SUBMIT | RESET |
       FILE  | HIDDEN | IMAGE)">

<!-- .............................................................
;  INPUT             : form input widget
;      %attrs;
;      type          : what kind of widget is needed
;      name          : required for all but submit and reset 
;      value         : required for radio and checkboxes 
;      checked       : for radio buttons and check boxes 
;      size          : specific to each type of field 
;      maxlength     : max chars allowed in text fields 
;      src           : for fields with background images 
;      align         : vertical or horizontal alignment 
;      accept        : list of content types 
;      accept-charset : list of charsets accepted 
-->
<!ELEMENT INPUT - O EMPTY>
<!ATTLIST INPUT
       %attrs;
       type    %input-type; TEXT
       name    CDATA       #IMPLIED
       value   CDATA       #IMPLIED
       checked (checked)   #IMPLIED
       size    CDATA       #IMPLIED
       maxlength NUMBER    #IMPLIED
       src     %url;       #IMPLIED
       align   %ialign;    #IMPLIED
       accept  CDATA       #IMPLIED
       accept-charset CDATA #IMPLIED
       >

<!-- .............................................................
;  SELECT            : form selection widget
;      %attrs;
;      name          :
;      size          :
;      multiple      : allow multiple selection
-->
<!ELEMENT SELECT - - (OPTION+)>
<!ATTLIST SELECT
       %attrs;
       name    CDATA       #REQUIRED
       size    NUMBER      #IMPLIED
       multiple (multiple) #IMPLIED
       >

<!-- .............................................................
;  OPTION            : form option list
;      %attrs;
;      selected      :
;      value         : defaults to element content
-->
<!ELEMENT OPTION - - (#PCDATA)*>
<!ATTLIST OPTION
       %attrs;
       selected (selected) #IMPLIED
       value  CDATA        #IMPLIED
       >

<!-- .............................................................
;  TEXTAREA          : form multi-line text input field
;      %attrs;
;      name          : 
;      rows          : field height in chars
;      cols          : field width in chars
;      accept-charset : list of charsets accepted
-->
<!ELEMENT TEXTAREA - - (#PCDATA)*>
<!ATTLIST TEXTAREA
       %attrs;
       name CDATA #REQUIRED
       rows NUMBER #REQUIRED
       cols NUMBER #REQUIRED
       accept-charset CDATA #IMPLIED
       >
