<!-- ....................................................................... -->
<!-- SHML 1.0 Document Head Module .........................................
     file: head.mod

     This is SHML 1.0, a variant of the W3C HTML 3.2 DTD.
     Copyright 1997 Sun Microsystems, Inc., All rights reserved.
     $Id: @(#)head.mod	1.9 - 97/09/24 17:31:48 altheim $

     Revisions:
#    1997-05-02  head.mod       added %attrs; on HEAD, TITLE, ISINDEX
#    1997-06-11  head.mod       added %attrs; on META, STYLE and SCRIPT
#    1997-06-16  head.mod       deprecated SCRIPT
     ....................................................................... -->

<!-- .............................................................
;  HEAD              : document head
;      %attrs;
-->
<!ENTITY % head.content "TITLE & ISINDEX? & BASE?">

<!-- repeatable head elements -->
<![ %HTML.deprecated; [
<!ENTITY % head.misc "LINK | META | STYLE | SCRIPT" >
]]>
<!ENTITY % head.misc "LINK | META | STYLE" >

<!ELEMENT HEAD - -  (%head.content;) +(%head.misc;)>
<!ATTLIST HEAD
       %attrs;
       >

<!-- .............................................................
     The TITLE element is not considered part of the flow of text. 
     It should be displayed, for example as the page header or 
     window title.
;  TITLE             : document title
;      %attrs;
-->
<!ELEMENT TITLE - -  (#PCDATA)* -(%head.misc;) >
<!ATTLIST TITLE
       %attrs;
       >

<!-- .............................................................
;  ISINDEX           :
;      %attrs;
;      prompt        : prompt message
-->
<!ELEMENT ISINDEX - O EMPTY>
<!ATTLIST ISINDEX
       %attrs;
       prompt  CDATA  #IMPLIED >

<!-- .............................................................
     The BASE element gives an absolute URL for dereferencing 
     relative URLs, e.g.

         <BASE href="http://foo.com/index.html">
         ...
         <IMG SRC="images/bar.gif">

     The image is deferenced to

         http://foo.com/images/bar.gif

     In the absence of a BASE element the document URL should 
     be used. Note that this is not necessarily the same as the 
     URL used to request the document, as the base URL may be 
     overridden by an HTTP header accompanying the document.

;  BASE              : base element
;      href          :
-->
<!ELEMENT BASE - O EMPTY>
<!ATTLIST BASE
       href  %url;  #REQUIRED
       >

<!-- ............................................................
;  META              : generic document metainformation
;      %attrs;
;      http-equiv    : HTTP response header name
;      name          : metainformation name
;      content       : associated information
-->
<!ELEMENT META - O EMPTY >
<!ATTLIST META
       %attrs;
       http-equiv  NAME    #IMPLIED
       name        NAME    #IMPLIED
       content     CDATA   #REQUIRED
       >

<!-- ............................................................
;  STYLE             : stylesheet container
;      %attrs;
;      type          : style language content type
;      media         : media type
-->
<!ELEMENT STYLE  - - CDATA >
<!ATTLIST STYLE
       %attrs;
       type   CDATA    #REQUIRED
       media  CDATA    #IMPLIED
       >

<![ %HTML.deprecated; [
<!-- ............................................................
;  SCRIPT            : inline script statement
;      %attrs;        
;      type          : script language content type
;      language      : predefined script language name
;      src           : URL for an external script
-->
<!ELEMENT SCRIPT - - CDATA >
<!ATTLIST SCRIPT
       %attrs;        
       type  CDATA     #IMPLIED
       language CDATA  #IMPLIED
       src   %url;     #IMPLIED
       >

<!-- ............................................................
;  NOSCRIPT          : non-script alternative
;      %attrs;
-->
<!ELEMENT NOSCRIPT - - (%body.content;)>
<!ATTLIST NOSCRIPT
       %attrs;
       >
]]>
