<!-- ....................................................................... -->
<!-- SHML 1.0 Headings Module ..............................................
     file: heading.mod

     This is SHML 1.0, a variant of the W3C HTML 3.2 DTD.
     Copyright 1997 Sun Microsystems, Inc., All rights reserved.
     $Id: @(#)heading.mod	1.10 - 97/09/24 17:32:03 altheim $

     Revisions:
#    1997-05-02  heading.mod    added %attrs; to H1-H6; strict content model
#    1997-06-06  heading.mod    implemented structured heading model (Hn,Bn)
     ....................................................................... -->

<!-- Headings .........................................................

     There are six levels of headers from H1 (the most important) to H6
     (the least important). With %HTML.recommended; as "INCLUDE", this 
     DTD allows only hierarchically ordered headings. The first heading 
     may be H1-H6, followed by one or more of the same or next higher-
     numbered heading level. Heading levels may be skipped, but the 
     lower-to-higher numerical progression must be maintained. 

     %heading.model defines the BODY-level containment for headings, and
     defines one optional heading H1-H6 at the BODY level. All others
     are contained within the B1-B6 elements below this initial header, 
     although DIV elements may be used to obtain multiple heading 'trees'
     within the same document.

     The 'flathead' alternative follows the unstructured model of HTML 3.2. 

     IMPORTANT:
     The B1-B6 elements are used to contain level information, and under
     NO circumstances are to be used as markup in the document instance.

;  H1-H6             : headings
;      %attrs;
;      align         : text alignment
-->

<!ENTITY % heading "H1 | H2 | H3 | H4 | H5 | H6" >

<!ELEMENT (%heading;)  - -  (%inline;)* ><!-- heading title content -->

<![ %HTML.recommended; [
<!ENTITY % heading.model "((H1,B1)|(H2,B2)|(H3,B3)|(H4,B4)|(H5,B5)|(H6,B6))?" >
<!ELEMENT B1   O O  (((H1,B1)*|(H2,B2)*|(H3,B3)*|(H4,B4)*|(H5,B5)*|(H6,B6)*) & (%flow;)*) >
<!ELEMENT B2   O O  (((H2,B2)*|(H3,B3)*|(H4,B4)*|(H5,B5)*|(H6,B6)*) & (%flow;)*) >
<!ELEMENT B3   O O  (((H3,B3)*|(H4,B4)*|(H5,B5)*|(H6,B6)*) & (%flow;)*) >
<!ELEMENT B4   O O  (((H4,B4)*|(H5,B5)*|(H6,B6)*) & (%flow;)*) >
<!ELEMENT B5   O O  (((H5,B5)*|(H6,B6)*) & (%flow;)*) >
<!ELEMENT B6   O O  ((H6,B6)* & (%flow;)*) >

<!ENTITY % HTML.flathead "IGNORE" >
]]>

<!ENTITY % HTML.flathead "INCLUDE" >
<![ %HTML.flathead; [
<!ENTITY % heading.model "(%heading;)*">
]]>

<!ATTLIST (%heading;)
        %attrs;
        align  (left|center|right) #IMPLIED
        >
