<!-- ....................................................................... -->
<!-- SHML 1.0 Lists Module .................................................
     file: list.mod

     This is SHML 1.0, a variant of the W3C HTML 3.2 DTD.
     Copyright 1997 Sun Microsystems, Inc., All rights reserved.
     $Id: @(#)list.mod	1.11 - 97/09/24 17:32:13 altheim $

     Revisions:
#    1997-05-02  list.mod        added %attrs; to DL,DT,DD,OL,UL,DIR,MENU,LI
#                                added %just; to OL,UL,DIR,MENU,LI
#    1997-06-10  list.mod        require end tags on DT, DD, and LI
#    1997-07-15  list.mod        allow A in DL,UL,OL in deprecation
     ....................................................................... -->

<!-- Lists ....................................................... -->

<![ %HTML.deprecated; [
<!ENTITY % DL.content  "( A*,(DT|DD)+)" ><!-- allow initial anchor in DL -->]]>

<!ENTITY % DL.content  "(DT|DD)+" >

<!-- .............................................................
;  DL                : definition list
;      %attrs;
;      compact       : more compact style
;  DT                : definition list term
;      %attrs;
;  DD                : definition list definition
;      %attrs;
-->
<!ELEMENT DL - -  %DL.content; >
<!ATTLIST DL
        %attrs;
        compact (compact) #IMPLIED
        >

<![ %HTML.recommended; [
<!ELEMENT DT - - (%inline;)* ><!-- required end tags -->
<!ELEMENT DD - - %flow;      >]]>

<![ %HTML.not-recommended; [
<!ELEMENT DT - O (%inline;)* ><!-- optional end tags -->
<!ELEMENT DD - O %flow;      >]]>

<!ATTLIST (DT|DD)
       %attrs;
       >

<!-- Ordered and unordered, directory and menu lists .............

     HTML 3.2 allows you to control the sequence number for ordered
     lists. You can set the sequence number with the START and VALUE
     attributes. The TYPE attribute may be used to specify the 
     rendering of ordered and unordered lists.

;  OL                : ordered list
;      %attrs;
;      %just;
;      type          : numbering style
;      start         : starting sequence number
;      compact       : reduced interitem spacing
;  UL                : unordered list
;      %attrs;
;      %just;
;      type          : bullet style
;      compact       : reduced interitem spacing
-->

<![ %HTML.deprecated; [
<!ENTITY % list.content  "( A*,(LI)+)" ><!-- allow initial anchor in DL -->]]>

<!ENTITY % list.content  "(LI)+" >

<!ELEMENT (OL|UL) - -  %list.content; >

<!ENTITY % ol-style "CDATA" >

<!-- List Numbering Style, constrained to: [1|a|A|i|I] 

         Numbering style
     1   arabic numbers      1, 2, 3, ...
     a   lower alpha         a, b, c, ...
     A   upper alpha         A, B, C, ...
     i   lower roman         i, ii, iii, ...
     I   upper roman         I, II, III, ...

     The style is applied to the sequence number which by default
     is reset to 1 for the first list item in an ordered list.

     This can't be expressed directly in SGML due to case folding.

     Note that in non-English applications, the i18n attributes should
     be used to determine proper numbering for the target language.
-->
  
<!ATTLIST OL
       %attrs;
       %just;
       type     %ol-style; #IMPLIED
       start    NUMBER     #IMPLIED
       compact (compact)   #IMPLIED
       >

<!ENTITY % ul-style "disc|square|circle"><!-- bullet styles -->

<!ATTLIST UL
       %attrs;
       %just;
       type    (%ul-style;) #IMPLIED
       compact (compact)    #IMPLIED
       >

<!-- .............................................................
;  DIR               : directory lists
;      %attrs;
;      %just;
;      compact       : reduced interitem spacing
;  MENU              : menu list
;      %attrs;
;      %just;
;      compact       : reduced interitem spacing
-->
<!ELEMENT (DIR|MENU) - -  (LI)+ -(%block) >
<!ATTLIST (DIR|MENU)
       %attrs;
       %just;
       compact (compact) #IMPLIED
       >

<!-- .............................................................
     The type attribute can be used to change the bullet style
     in unordered lists and the numbering style in ordered lists 

;  LI                : list item
;      %attrs;
;      %just;
;      type          : list item style
;      value         : reset sequence number
-->

<!ENTITY % li-style "CDATA" ><!-- constrained to: "(%ul-style;|%ol-style;)" -->

<![ %HTML.recommended; [
<!ELEMENT LI - - %flow; ><!-- list item; required end tags -->]]>

<![ %HTML.not-recommended; [
<!ELEMENT LI - O %flow; ><!-- list item; optional end tags -->]]>

<!ATTLIST LI
       %attrs;
       %just;
       type    %li-style;   #IMPLIED
       value   NUMBER       #IMPLIED
       >
