<!-- ....................................................................... -->
<!-- SHML 1.0 Tables Module ................................................
     file: tables.mod

     This is SHML 1.0, a variant of the W3C HTML 3.2 DTD.
     Copyright 1997 Sun Microsystems, Inc., All rights reserved.
     $Id: @(#)tables.mod	1.5 - 97/09/24 18:22:48 altheim $

     Revisions:
#    1997-05-02  tables.mod     added %attrs; to TABLE,CAPTION,TR,TH,TD; %just; to CAPTION
#    1997-05-07  tables.mod     changed content of TH,TD from %body.content; to %flow;
#    1997-06-10  tables.mod     AXIS/AXES added to TH|TD; recommended: end tags on TR, TH and TD 
#    1997-06-11  tables.mod     recommended: TH allowed only as initial row and column cells
#    1997-08-22  tables.mod     changed TH|TD WIDTH and HEIGHT values from %pixels; to %length;
#    1997-09-24  tables.mod     removed restriction on TH only as initial row and column cells
     ....................................................................... -->

<!-- Extension of W3C HTML 3.2 Tables ......................................

     Widely deployed subset of the full table standard, see RFC 1942
     e.g. at http://www.ics.uci.edu/pub/ietf/html/rfc1942.txt 

;  TABLE             : table element
;      %attrs;
;      align         : table position relative to window
;      role          : data table or as layout tool
;      width         : table width relative to window
;      border        : controls frame width around table
;      cellspacing   : spacing between cells
;      cellpadding   : spacing within cells
-->
<!ELEMENT table   - - (caption?, tr+) >

<![ %HTML.recommended; [
<!ELEMENT tr      - - (th|td)+ >
<!ELEMENT (th|td) - - (%flow;)* >
]]>

<![ %HTML.not-recommended; [
<!ELEMENT tr      - O (th|td)+ >
<!ELEMENT (th|td) - O (%flow;)* >
]]>

<!ATTLIST table
       %attrs;
       align (left|center|right) #IMPLIED
       role  (layout|data)   #IMPLIED
       width       %length;  #IMPLIED
       border      %pixels;  #IMPLIED
       cellspacing %pixels;  #IMPLIED
       cellpadding %pixels;  #IMPLIED
       >

<!-- .............................................................
;  CAPTION           : table or figure caption
;      %attrs;
;      align         :
-->
<!ELEMENT CAPTION - - (%inline;)* >
<!ATTLIST CAPTION
       %attrs;
       align (top|bottom|left|center|right) #IMPLIED
       >

<!-- .............................................................
;  TR                : table row
;      %attrs;
;      align         : horiz alignment in cells
;      valign        : vert alignment in cells
-->
<!ATTLIST tr
       %attrs;
       align  (left|center|right) #IMPLIED
       valign (top|middle|bottom) #IMPLIED
       >

<!-- .............................................................
;  TH|TD             : header or data cell
;      %attrs;
;      align         : table position relative to window
;      axis          : cell coordinate label
;      axes          : comma-sep. list of axis names      
;      rowspan       : number of rows spanned by cell     
;      colspan       : number of cols spanned by cell     
;      align         : horiz alignment in cell  
;      valign        : vert alignment in cell   
;      width         : suggested width for cell           
;      height        : suggested height for cell          
;      nowrap        : suppress word wrap                 
-->
<!ATTLIST (th|td)
       %attrs;
       axis    CDATA    #IMPLIED
       axes    CDATA    #IMPLIED
       rowspan NUMBER   1
       colspan NUMBER   1
       align  (left|center|right) #IMPLIED
       valign (top|middle|bottom) #IMPLIED
       width   %length;  #IMPLIED
       height  %length;  #IMPLIED
       nowrap (nowrap)  #IMPLIED
       >
