<!-- ....................................................................... -->
<!-- SHML 1.0 Text Markup Module ...........................................
     file: text.mod

     This is SHML 1.0, a variant of the W3C HTML 3.2 DTD.
     Copyright 1997 Sun Microsystems, Inc., All rights reserved.
     $Id: @(#)text.mod	1.12 - 97/09/24 17:32:24 altheim $

     Revisions:
#    1997-05-01  text.mod       excluded MAP from PRE
#    1997-05-02  text.mod       added %attrs; to ADDRESS, BASEFONT, BLOCKQUOTE, BR, FONT 
#                               added SPAN,BDO declarations
#                               removed long-deprecated XMP, LISTING, PLAINTEXT
#    1997-05-07  text.mod       restricted BLOCKQUOTE to (%inline;|P)*
#    1997-06-10  text.mod       recommended required end tags on P
#    1997-06-13  text.mod       deprecated BIG and SMALL
#    1997-06-26  text.mod       no P within P, BDO within BDO
#    1997-07-15  text.mod       allow TABLE in P, %flow; in depr. P, no P in P
     ....................................................................... -->

<!-- ............................................................. 
;  BDO               : BiDirectional Override container
;      lang          : RFC 1766 language tag
;      dir           : text directionality   
;      id            : element identifier    
;      class         : for subclassing elements 
-->
<!ELEMENT BDO - - (%inline;)+ -(BDO)>
<!ATTLIST BDO
       lang  NAME      #IMPLIED
       dir  (ltr|rtl)  #REQUIRED
       id    ID        #IMPLIED
       class NAMES     #IMPLIED
       >

<!-- .............................................................
;  SPAN              : Generic Inline Container
;      %attrs;
-->
<!ELEMENT SPAN - - (%inline;)* >
<!ATTLIST SPAN
       %attrs;
       >

<!-- .............................................................
;  P                 : paragraphs
;      %attrs;
;      %just;
-->
<![ %HTML.para; [
<!ENTITY % P.contain  "-(P)" ><!-- no P containment -->]]>

<!ENTITY % P.contain  ""     ><!-- P containment ok -->

<![ %HTML.recommended; [
<!ELEMENT P  - -  (%inline;|TABLE)* %P.contain; >]]>

<![ %HTML.not-recommended; [
<!ELEMENT P  - O  (%flow;)* %P.contain; >]]>

<!ATTLIST P
       %attrs;
       %just;
       >

<!-- ............................................................. 
;  BR                : forced line break
;      clear         : control of text flow 
-->
<!ELEMENT BR    - O EMPTY >
<!ATTLIST BR
       clear (left|all|right|none) none
       >

<!-- ............................................................. 
;  HR                 : horizontal rule
;      id             : element identifier
;      class          : for subclassing elements
;      align          :
;      noshade        :
;      size           :
;      width          :
-->
<!ELEMENT HR    - O EMPTY >
<!ATTLIST HR
       id      ID      #IMPLIED
       class   NAMES   #IMPLIED
       align   (left|right|center) #IMPLIED
       noshade (noshade) #IMPLIED
       size    %pixels;  #IMPLIED
       width   %length;  #IMPLIED
       >

<!-- .............................................................
;  ADDRESS            : address, signature, or byline
;      %attrs;
;      %just;     
-->
<!ELEMENT ADDRESS - - ((%inline;) | P)* >
<!ATTLIST ADDRESS
       %attrs;
       %just;
       >

<!-- .............................................................
;  BLOCKQUOTE         : block-like quotes
;      %attrs;
;      %just;     
-->
<!ELEMENT BLOCKQUOTE - - ((%inline;) | P)* >
<!ATTLIST BLOCKQUOTE
        %attrs;
        %just;
        >

<!-- .............................................................
;  FONT               : local change to font
;      size           : [+]nn e.g. size="+1", size=4
;      color          : font color specification
-->
<!ELEMENT FONT - - (%inline;)* >
<!ATTLIST FONT
        size    CDATA    #IMPLIED
        color   %color;  #IMPLIED
        >

<!-- .............................................................
;  BASEFONT           : base font size (1 to 7)
;      size           : e.g. size=3
-->
<!ELEMENT BASEFONT - O EMPTY >
<!ATTLIST BASEFONT
        size    CDATA   #IMPLIED
        >

<!-- .............................................................
;  PRE                : preformatted text
;      %attrs;
;      align          :
;      width          :
-->

<![ %HTML.deprecated; [
<!ENTITY % pre.exclusion "IMG|MAP|SUB|SUP|FONT|BIG|SMALL" >
<!-- excludes images and changes in font size -->
]]>

<!ENTITY % pre.exclusion "IMG|MAP|SUB|SUP|FONT" >
<!-- excludes images and changes in font size -->

<!ELEMENT PRE - - (%inline;)* -(%pre.exclusion;) >
<!ATTLIST PRE
        %attrs;
        align  (left|right)  #IMPLIED
        width NUMBER #IMPLIED
        >

<!-- General Font and Phrase Declaration ......................... -->

<!ELEMENT (%physical;|%logical;) - - (%inline;)*>
<!ATTLIST (%physical;|%logical;)
        %attrs;
        >
